Ticket #1711 (closed enhancement: fixed)

Opened 9 years ago

Last modified 9 years ago

au携帯のメール投稿絵文字投稿機能を追加

Reported by: ebihara Assigned to: ebihara
Priority: critical Milestone: OpenPNE2.11.2
Component: その他 Version: 2.11.x
Keywords: 親チケット Cc:

Description (Last modified by ebihara)

■概要

au携帯のメール投稿絵文字投稿機能を追加

■仕様

  • http://sns.openpne.jp/ 内で、むくむくさんから提供していただいたコードの取り込み
    • 携帯メールで絵文字を投稿すると絵文字が除去されてしまうが、auでのみ、絵文字を投稿すると投稿先のSNSにその絵文字が反映されるようにする

■関連情報

Change History

12/26/07 15:47:44 changed by ebihara

  • keywords set to 確認中.
  • owner changed from nobody to ebihara.
  • status changed from new to assigned.
  • description changed.

r4610 で取り込み、 r4847:4848 でPEARコーディング規約に沿う形に修正しました。

確認と実機での検証をお願いします。

12/26/07 18:41:38 changed by ogawa

  • keywords deleted.

PEARコーディング規約に沿っていない部分が残っています。

12/26/07 18:43:42 changed by ogawa

その他チェックポイント

  • 同一の長い正規表現が2度書かれている
  • if ( $GLOBALS__Framework?carrier? != 's' ) {
  • mb_substitute_character は問題ないか

12/27/07 18:26:23 changed by ebihara

  • keywords set to 確認中.

r4862, r4864 で修正しました。

mb_substitute_character はとりあえず問題なさそうではありますが、使わないでも済むなら、OpenPNEの既存コードとあわせる意味でも使わない方がいいとは思います。

ご確認ください。

12/27/07 22:06:10 changed by ebihara

挑戦してみたらうまくできたので、r4864 で mb_substitute_character() を使わない形の修正をコミットしました。

12/27/07 22:06:49 changed by ebihara

mb_substitute_character() を使わない形の修正は r4867 です。リビジョン番号指定間違えました。すいません。

12/27/07 22:48:46 changed by tejima

5,5

12/28/07 11:37:37 changed by ogawa

  • keywords changed from 確認中 to テスト待ち.

実機検証お願いします。

12/28/07 12:46:17 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

au実機で全ての絵文字を確認しました。問題ありません。

06/17/08 22:27:35 changed by kiwa

  • keywords set to 親チケット.